<?php

// First, connect to database
try {
  $db = new PDO('sqlite:' . __DIR__ . '/database.db');
} catch (PDOException $e) {
  echo 'Connection to database failed: ' . $e->getMessage();
}

$filter = isset($_GET["filter"]) ? $_GET["filter"] : "";

// Get the list of countries
$query = "SELECT * FROM countries_list WHERE full_name LIKE '%$filter%'";
$stmt = $db->prepare($query);
$stmt->execute(array());
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

?><!doctype html>
<html lang="en" data-bs-theme="auto">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Countries list</title>

  <link href="/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
  <link href="/style.css" rel="stylesheet">
</head>

<body class="d-flex align-items-center py-4 bg-body-tertiary">
  <main class="form-signin w-100 m-auto">

    <h1>Countries list</h1>

    <form action="/" method="get" style="margin: 30px 0px">
      <div class="input-group flex-nowrap">
        <span class="input-group-text" id="addon-wrapping">Filter by full name</span>
        <input type="text" class="form-control" placeholder="Filter list by full name" aria-label="Filter by full name"
          aria-describedby="addon-wrapping" value="<?=$filter?>" name="filter" />
        <button class="btn btn-outline-secondary" type="submit" id="button-addon2">Filter</button>
      </div>
    </form>

    <table class="table">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Full name</th>
        </tr>
      </thead>
      <tbody>
        <?php
        foreach ($results as $row) {
          ?>
          <tr>
            <th scope="row"><?= $row["code"] ?></th>
            <td colspan="2"><?= $row["full_name"] ?></td>
          </tr><?php
        }
        ?>
      </tbody>
    </table>
  </main>
</body>

</html>